import { CamelCasedProps } from '@tencent-serverless-framework/common';
import { AddCdnDomainRequest, Origin, ServerCert } from 'tencentcloud-sdk-nodejs/tencentcloud/services/cdn/v20180606/cdn_models';
export interface OriginInputs extends CamelCasedProps<Origin> {
}
export interface CertInputs extends CamelCasedProps<ServerCert> {
    remarks?: string;
}
export interface CdnDeployInputs extends CamelCasedProps<AddCdnDomainRequest> {
    oldState?: {
        inputCache?: string;
    };
    /** 是否异步执行（是否等待 CDN 部署完毕） */
    async?: boolean;
    /** 只刷新，不进行新的部署 */
    onlyRefresh?: boolean;
    /** 是否清除 CDN 缓存 */
    refreshCdn?: {
        /** 要清除缓存的 url (目录) 列表 */
        urls: string[];
        /**
         * 刷新类型
         * - flush：刷新产生更新的资源
         * - delete：刷新全部资源
         */
        flushType: string;
    };
    /** 是否预热 CDN */
    pushCdn?: {
        /** 要预热的 url 列表 */
        urls: string[];
        /** 预热的区域 */
        area: string;
        /** 预热时回源的 User-Agent */
        userAgent: string;
    };
}
export interface CdnDeployOutputs {
    resourceId?: string;
    https?: boolean;
    domain?: string;
    origins?: string[];
    cname?: string;
    inputCache?: string;
}
